line_info_coach_viewer:
  label: Coach viewer
  namespace: Organisms/TM - Line info
  use: '@organisms/tm-line-info/line-info-coach-viewer/line-info-coach-viewer.twig'
  description: Coach viewer
  libraries:
    - line_info_coach_viewer_lib:
        css:
          component:
            ../styles/line-info-coach-viewer.css: {}
  fields:
    header:
      type: text
      label: Header
      preview: 'Connect routes'
    content:
      type: text
      label: Content
      preview: <p>Scroll through the available Connect coaches below. Click on the coloured icons to display important information.</p>
    layout:
      type: object
      label: Layout
      preview:
        - selected: '<img src="https://picsum.photos/100/161?rnd=a1">'
          unselected: '<img src="https://picsum.photos/100/161?rnd=a2">'
          is_selected: true
        - selected: '<img src="https://picsum.photos/100/161?rnd=a3">'
          unselected: '<img src="https://picsum.photos/100/161?rnd=a4">'
          is_selected: false
        - selected: '<img src="https://picsum.photos/100/161?rnd=a5">'
          unselected: '<img src="https://picsum.photos/100/161?rnd=a6">'
          is_selected: false
        - selected: '<img src="https://picsum.photos/100/161?rnd=a7">'
          unselected: '<img src="https://picsum.photos/100/161?rnd=a8">'
          is_selected: false
    coaches:
      type: object
      label: Coaches
      preview:
        - title: 'Coach D'
          image: '<img src="https://picsum.photos/180/700?rnd=a9">'
        - title: 'Coach C'
          image: '<img src="https://picsum.photos/180/700?rnd=a10">'
        - title: 'Coach B'
          image: '<img src="https://picsum.photos/180/700?rnd=a11">'
        - title: 'Coach A'
          image: '<img src="https://picsum.photos/180/700?rnd=a12">'
    key:
      type: object
      label: Key
      preview:
        - text: 'Emergency alarm'
          image: '<img src="https://picsum.photos/70/70?rnd=a13">'
        - text: 'Wheelchair space'
          image: '<img src="https://picsum.photos/70/70?rnd=a14">'
        - text: 'Emergency exit window'
          image: '<img src="https://picsum.photos/70/70?rnd=a15">'
        - text: 'Exit'
          image: '<img src="https://picsum.photos/70/70?rnd=a16">'
  settings:
    header_id:
      type: textfield
      label: Header ID
      preview: line-info-coach-layout
